@echo off

echo ===================Processing Wav File "%~1"===================
set InputWavFile="%~1"
set OutputFile=sound_out\%~n1
set TemporaryFile=sound_temp\%~n1
set RawFile=sound_raw\%~n1

cd %~dp0

set OriginalName=.original

set OpusName=.opusv0910_128k.opus
set OggName=.aotuv603_q3.ogg
set AacName=.qaac136_cvbr_128k.m4a

set OriginalDecode="%RawFile%%OriginalName%.f32b.wav"
set OpusDecode="%RawFile%%OpusName%.f32b.wav"
set OggDecode="%RawFile%%OggName%.f32b.wav"
set AacDecode="%RawFile%%AacName%.f32b.wav"

bin\sox -D %InputWavFile% -b 32 -e float %OriginalDecode%

echo ===================Opus Section Start===================
bin\sox -D %InputWavFile% -b 16 "%TemporaryFile%1.wav" gain -3 rate -v 48000
bin\sox -D "%TemporaryFile%1.wav" "%TemporaryFile%1.raw"
bin\opus20120515\opus -e audio 48000 2 128000 "%TemporaryFile%1.raw" "%OutputFile%%OpusName%"
bin\opus20120515\opus -d 48000 2 "%OutputFile%%OpusName%" "%TemporaryFile%2.raw"
bin\sox -D -r 48000 -e signed -b 16 -c 2 "%TemporaryFile%2.raw" -b 32 -e float %OpusDecode% rate -v 44100

echo ===================Ogg Section Start===================
bin\venc603 -q3 %InputWavFile% "%OutputFile%%OggName%"
bin\oggdec -b 5 "%OutputFile%%OggName%" --wavout %OggDecode%

echo ===================Aac Section Start===================
bin\qaac_1.36\qaac --cvbr 128 -o "%OutputFile%%AacName%" %InputWavFile%
bin\faad -b 4 -o %AacDecode% "%OutputFile%%AacName%"

echo ===================Rawgene2 Section Start===================
bin\rawgene2 %OriginalDecode% %OpusDecode% %OggDecode% %AacDecode%
